Bug 7837 - GNOME does not correctly handle Keyboard focus
GNOME does not correctly handle Keyboard focus
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Depends On:
  Show dependency treegraph
Reported: 1999-12-16 07:32 EST by Steve Cohen
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-12-18 16:25:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Cohen 1999-12-16 07:32:19 EST
I have recently installed RedHat 6.1.  This was a fresh install right out
of the box.  I installed Gnome and for the first time am trying to use it.
I find that when windows are popped up, keyboard focus does not follow with
them to the new window, so I must click in the new window with the mouse
before the window will accept my keystrokes.  I have found this in at least
two applications
1) Netscape - for instance I click to create a new mail message.  I am used
to just typing when I do this.  But in Gnome, I must click into the
composition window before my keystrokes go here.
2) Terminal - I click on the task-bar terminal icon.  A new terminal window
pops up.  But until I click in it with the mouse, my keystrokes go

This is annoying and dangerous.  I can easily foresee a situation where I
will screw up some document that I am editing because I am not typing where
I expect to be typing.

I've never seen a GUI that behaves this way.  Not Windows, not KDE, not
even FVWM.
Comment 1 Bill Nottingham 1999-12-16 12:21:59 EST
You should be able to configure this with the window
manager configurator in control-center.
Comment 2 Steve Cohen 1999-12-16 12:39:59 EST
Yes.  Someone else suggested this and I've tried it and, while the "sloppy
cursor focus" option is less annoying than than the "click to focus" option,
neither resolves my essential point which is that when you invoke some program,
whether from a panel icon, a menu item, or even a command-line, if that program
is accessible by the keyboard, then that program should receive keyboard focus
when it is activated.  In other words, activating a GUI program should cause the
normal assignment of keyboard focus by mouse position to be overridden by
assigning keyboard focus to the window of the newly activated program.
None of the Enlightenment options provide this functionality, even though every
other GUI I have ever seen does, from Windows, to Macintosh, to KDE.  This would
appear to be a design decision rather than a bug, but to me it's probably enough
to push me over the line and make me avoid GNOME/Enlightenment altogether.
Comment 3 Steve Cohen 1999-12-18 16:25:59 EST
OK, now I found the place.  It's on the "behavior" tab.
So now I learn that that instead of being "brain-damaged" as I originally
thought, GNOME actually has the most flexible keyboard focus policies of any GUI
I've seen.

Note You need to log in before you can comment on or make changes to this bug.